Search AILog

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/ailog
API call form
Examples
List of examples
  • Get the most recent AI logs
  • Get failed AI interactions in embedded components
  • Get AI logs with negative feedback
  • Get AI logs on a specific dataset
  • Get AI logs of an embedded customer
  • Find AI logs by prompt text
  • Paginate through AI logs
Description

Get the 50 most recent AI logs within the retention period.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "5d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
      "organization_id": "4a2b6c1d-8e3f-4a5b-9c7d-2e1f0a3b5c6d",
      "suborganization_id": "acme-corp",
      "user_id": "fde42af0-57f8-40e3-880c-3464d9a525ce",
      "authorization_id": "8c9d0e1f-2a3b-4c5d-8e6f-7a8b9c0d1e2f",
      "authorization_type": "embed",
      "authorization_name": "Customer portal",
      "agent": "analyst",
      "routed_to": [],
      "auto_routed": false,
      "task": "",
      "conversation_id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
      "message_id": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",
      "parent_message_id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
      "prompt": "What was our revenue per region last quarter?",
      "response_text": "Revenue last quarter was highest in Europe (1.2M), followed by North America (0.9M) and APAC (0.4M).",
      "response_summary": "chart",
      "result_types": [
        "text",
        "chart"
      ],
      "result_count": 1,
      "dataset_ids": [
        "24aa02fe-d54d-4217-bd9d-dcdba45c83b3"
      ],
      "asset_ids": [
        "6e7f8a9b-0c1d-4e2f-8a3b-4c5d6e7f8a9b"
      ],
      "latency_ms": 6420,
      "success": true,
      "out_of_scope": false,
      "cancelled": false,
      "failure_reason": null,
      "trace_id": "6f1d2c3b4a5e4f6a8b7c9d0e1f2a3b4c",
      "request_id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
      "locale_id": "en",
      "origin_domain": "app.example.com",
      "started_at": "2026-10-12T09:41:21.104Z",
      "ended_at": "2026-10-12T09:41:27.524Z",
      "created_at": "2026-10-12T09:41:27.530Z",
      "source": "embedded",
      "feature": "chat_component",
      "feedback_rating": 1,
      "flagged": false,
      "user": {
        "id": "fde42af0-57f8-40e3-880c-3464d9a525ce",
        "name": "Jane Doe",
        "email": "jane.doe@example.com",
        "thumbnails": []
      }
    }
  ]
}